Qt 5.13 | Qt Quick Controls | QML Types | Slider QML Type

Qt 5.13.2 Reference Documentation

# Slider QML Type

Used to select a value by sliding a handle along a track. More...

Import Statement: | import QtQuick.Controls 2.5
Since: | Qt 5.7
Inherits: | Control

- List of all members, including inherited members

## Properties

- from : real
- handle : Item
- horizontal : bool
- implicitHandleHeight : real
- implicitHandleWidth : real
- live : bool
- orientation : enumeration
- position : real
- pressed : bool
- snapMode : enumeration
- stepSize : real
- to : real
- touchDragThreshold : qreal
- value : real
- vertical : bool
- visualPosition : real

## Signals

- moved()

## Methods

- void decrease()
- void increase()
- real valueAt(position)

## Detailed Description

Slider is used to select a value by sliding a handle along a track.

In the example below, custom from, value, and to values are set:

      Slider {
          from: 1
          value: 25
          to: 100
      }

The position property is expressed as a fraction of the control's size, in the range `0.0 - 1.0`. The visualPosition property is the same, except that it is reversed in a right-to-left application. The visualPosition is useful for positioning the handle when styling Slider. In the example above, visualPosition will be `0.24` in a left-to-right application, and `0.76` in a right-to-left application.

For a slider that allows the user to select a range by providing two handles, see RangeSlider.

See also Customizing Slider and Input Controls.

## Property Documentation

from : real

This property holds the starting value for the range. The default value is `0.0`.

See also to and value.

handle : Item

This property holds the handle item.

See also Customizing Slider.

[read-only] horizontal : bool

This property holds whether the slider is horizontal.

This property was introduced in QtQuick.Controls 2.3 (Qt 5.10).

See also orientation.

[read-only] implicitHandleHeight : real

This property holds the implicit handle height.

The value is equal to `handle ? handle.implicitHeight : 0`.

This is typically used, together with implicitContentHeight and implicitBackgroundHeight, to calculate the implicitHeight.

This property was introduced in QtQuick.Controls 2.5 (Qt 5.12).

See also implicitHandleWidth.

[read-only] implicitHandleWidth : real

This property holds the implicit handle width.

The value is equal to `handle ? handle.implicitWidth : 0`.

This is typically used, together with implicitContentWidth and implicitBackgroundWidth, to calculate the implicitWidth.

This property was introduced in QtQuick.Controls 2.5 (Qt 5.12).

See also implicitHandleHeight.

live : bool

This property holds whether the slider provides live updates for the value property while the handle is dragged.

The default value is `true`.

This property was introduced in QtQuick.Controls 2.2 (Qt 5.9).

See also value and valueAt().

orientation : enumeration

This property holds the orientation.

Possible values:

Constant | Description
--- | ---
`Qt.Horizontal` | Horizontal (default)
`Qt.Vertical` | Vertical

See also horizontal and vertical.

[read-only] position : real

This property holds the logical position of the handle.

The position is expressed as a fraction of the control's size, in the range `0.0 - 1.0`. For visualizing a slider, the right-to-left aware visualPosition should be used instead.

See also value, visualPosition, and valueAt().

pressed : bool

This property holds whether the slider is pressed by either touch, mouse, or keys.

snapMode : enumeration

This property holds the snap mode.

The snap mode determines how the slider handle behaves with regards to the stepSize.

Possible values:

Constant | Description
--- | ---
`Slider.NoSnap` | The slider does not snap (default).
`Slider.SnapAlways` | The slider snaps while the handle is dragged.
`Slider.SnapOnRelease` | The slider does not snap while being dragged, but only after the handle is released.

In the following table, the various modes are illustrated with animations. The movement of the mouse cursor and the stepSize (`0.2`) are identical in each animation.

Value | Example
`Slider.NoSnap` |
`Slider.SnapAlways` |
`Slider.SnapOnRelease` |

See also stepSize.

stepSize : real

This property holds the step size. The default value is `0.0`.

See also snapMode, increase(), and decrease().

to : real

This property holds the end value for the range. The default value is `1.0`.

See also from and value.

touchDragThreshold : qreal

This property holds the threshold (in logical pixels) at which a touch drag event will be initiated. The mouse drag threshold won't be affected. The default value is `Qt.styleHints.startDragDistance`.

This property was introduced in QtQuick.Controls 2.5 (Qt 5.12).

See also QStyleHints.

value : real

This property holds the value in the range `from` - `to`. The default value is `0.0`.

See also position.

[read-only] vertical : bool

This property holds whether the slider is vertical.

This property was introduced in QtQuick.Controls 2.3 (Qt 5.10).

See also orientation.

[read-only] visualPosition : real

This property holds the visual position of the handle.

The position is expressed as a fraction of the control's size, in the range `0.0 - 1.0`. When the control is mirrored, the value is equal to `1.0 - position`. This makes the value suitable for visualizing the slider, taking right-to-left support into account.

See also position.

## Signal Documentation

moved()

This signal is emitted when the slider has been interactively moved by the user by either touch, mouse, wheel, or keys.

This signal was introduced in QtQuick.Controls 2.2 (Qt 5.9).

## Method Documentation

void decrease()

Decreases the value by stepSize or `0.1` if stepSize is not defined.

See also stepSize.

void increase()

Increases the value by stepSize or `0.1` if stepSize is not defined.

See also stepSize.

real valueAt(position)

Returns the value for the given position.

This method was introduced in QtQuick.Controls 2.1 (Qt 5.8).

See also value and position.